local nums = 6
local cur = 1
local t = Def.ActorFrame {
	W1Command=function(self)
		self:queuecommand("Hit")
	end;
	W2Command=function(self)
		self:queuecommand("Hit")
	end;
	W3Command=function(self)
		self:queuecommand("Hit")
	end;
	HoldingOnCommand=function(self)
		self:queuecommand("Hiting")
	end;
	HoldingOffCommand=function(self)
		self:stoptweening()
	end;
	RollOnCommand=function(self)
		self:queuecommand("Hiting")
	end;
	RollOffCommand=function(self)
		self:stoptweening()
	end;
	HitingCommand=function(self)
		self:sleep(0.05)
		self:queuecommand("Hiting")
		self:queuecommand("Hit")
	end;
	HitCommand=function(self)
		cur = cur+1
		if cur > nums then
			cur = 1
		end
	end;
};

for i = 1, nums do
t[#t+1] = Def.Sprite {
	Texture="../../common/common/Fallback HitMine Explosion";
	InitCommand=function(self)
		self:blend('BlendMode_Add')
		self:diffusealpha(0)
	end;
	HitCommand=function(self)
		if cur == i then
			self:finishtweening()
			self:diffusealpha(2):rotationz(0)
			self:linear(0.6)
			self:diffusealpha(0):rotationz(180)
		end
	end;
};
end

if NOTESKIN:GetMetric("NoteskinPreferences","Sound") == "on" then
	t[#t+1] = Def.Sound {
		File="Player mine";
		HitCommand=function(self)
			self:play()
		end;
	}
end


return t;